<template lang="pug">
	-
		var lista_doctorados = [
			{
				titulo:"doctorado en administración",
				fecha: "16 Mar",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Múltiples horarios"
			}
		]

		var lista_maestrias = [
			{
				titulo:"Maestría en Administración de Negocios - Executive MBA",
				fecha: "16 Mar",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Múltiples horarios"
			},{
				titulo:"Maestría Ciencias Empresariales",
				fecha: "11 May y 14 Set",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Jueves y Sábado"
			},{
				titulo:"MBA UQÀM",
				fecha: "24 Ago",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Múltiples horarios"
			}
		]

		var lista_diplomados = [
			{
				titulo:"programa de especialización en gestión financiera",
				fecha: "16 Mar",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Múltiples horarios"
			},{
				titulo:"programa de especialización en business intelligence",
				fecha: "14 Set",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Jueves y Sábado"
			}
		]

	#resultados
		.titular.seccion
			.contenedor
				h1 En EPG USIL  encontramos estos programas para ti

		.contenido.seccion: .contenedor
			.listado
				.categoria.doctorados
					h2 doctorados
					.lista
						each item in lista_doctorados
							.item
								.info
									.titulo= item.titulo
									.fecha= item.fecha
									.tiempo= item.tiempo
								.detalles
									.lugar= item.lugar
									.horario= item.horario

				.categoria.maestrias
					h2 maestrías
					.lista
						each item in lista_maestrias
							.item
								.info
									.titulo= item.titulo
									.fecha= item.fecha
									.tiempo= item.tiempo
								.detalles
									.lugar= item.lugar
									.horario= item.horario

				.categoria.diplomados
					h2 educación ejecutiva
					.lista
						each item in lista_diplomados
							.item
								.info
									.titulo= item.titulo
									.fecha= item.fecha
									.tiempo= item.tiempo
								.detalles
									.lugar= item.lugar
									.horario= item.horario




</template>


<style lang="stylus">

#resultados
	background: white;

	.contenedor
		@media (min-width: 768px)
			max-width 1280px
			padding 2rem 0
			align-items flex-start
			flex-direction column

	.titular
		padding 1rem 1rem
		@media (min-width: 768px)
			padding 1rem 2rem
			background: #FFFFFF;
			position relative
			z-index 1
			margin -1rem 0 0
			border-radius 1rem

		.contenedor
			@media (min-width: 768px)
				max-width 1280px
				align-items stretch
				flex-direction column
				text-align center

		h1
			flex 0 0 auto

			font-weight: 600;
			font-size: 44px;
			line-height: 125%;
			letter-spacing: -0.015em;
			text-transform: none;
			color: #00195A;
			margin 0 auto
			position relative
			width 75%

			&::after
				content: ""
				display: block
				position: absolute
				bottom 0
				right 0
				width: 87.25px;
				height: 7.87px;
				background: #00195A;



	.contenido
		margin 0 0 4rem

		.contenedor
			padding 4rem 2.5rem
			background: alpha(#2AB7C6, 7%);
			border-radius: 16px;
			max-width 1280px;


		h2
			font-weight: bold;
			font-size: 28px;
			line-height: 140%;
			letter-spacing: -0.015em;
			text-transform: uppercase;

			color: #0B2E88;
			margin 0 0 .5em

		h3

			font-weight: 300;
			font-size: 16px;
			line-height: 150%;
			letter-spacing: -0.015em;
			text-transform: uppercase;
			color: #4C4B5C;
			margin 0 0 .5em

		.listado
			padding 1rem 2rem
			max-width 966px
			flex 1 1 100%
			margin 1rem auto 0

			h2
				font-weight: 600;
				font-size: 20px;
				line-height: 135%;
				letter-spacing: -0.015em;
				text-transform: uppercase;

				color: #9F9FAE;
				opacity: 0.9;



		.doctorados
			--resalte: #403A93;


		.maestrias
			--resalte: #2AB7C6;

		.diplomados
			--resalte: #C96257;

		.lista
			margin-bottom 1rem


		.categoria
			margin 0 0 5rem

		.item
			margin-bottom .9rem
			padding .4rem
			background: #FFFFFF;
			border-radius: 6px;

			.info
				display grid
				grid-template-areas "titulo fecha" "titulo tiempo"
				grid-template-columns minmax(100px, 600px) auto
				justify-content space-between
				padding .6 rem
				border-bottom: 1px dashed #9F9FAE;
				grid-gap .5rem

			.titulo
				grid-area titulo
				font-weight: bold;
				font-size: 20px;
				line-height: 135%;

				letter-spacing: -0.015em;
				text-transform: uppercase;
				color: var(--resalte);



			.fecha
				grid-area fecha
				text-align right
				font-weight: 600;
				font-size: 20px;
				line-height: 150%;

				text-align: right;
				letter-spacing: -0.015em;
				text-decoration-line: underline;

				color: #1CCDE6;


			.tiempo
				grid-area tiempo
				font-size: 14px;
				line-height: 150%;
				text-align: right;
				letter-spacing: -0.015em;
				color: #9F9FAE;


			.detalles
				display flex
				justify-content space-between
				padding .6rem

			.lugar
			.horario
				font-size: 13px;
				line-height: 150%;
				letter-spacing: -0.015em;
				color: #9F9FAE;


</style>
